> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 肯尼亚先令代付查询

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [肯尼亚支付接口](/docs/zh/api/version2/Kenya)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/api-reference/kes/kes.openapi.json POST /kes/pay/query
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /kes/pay/query:
    post:
      tags: []
      summary: 肯尼亚先令代付查询
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号
                orderNo:
                  type: string
                  description: 平台订单号（响应快）
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - sign
            examples: {}
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 消息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号(必须保证唯一性)
                      orderNo:
                        type: string
                        description: 平台订单号
                      amount:
                        type: string
                        description: 交易金额
                      fee:
                        type: string
                        description: 手续费
                      status:
                        type: integer
                        description: 订单状态(0未开始, 1放款中 2放款成功（终态） 3放款失败（终态） -1异常待确认)
                      payTime:
                        type: string
                        description: '支付成功时间（当status=2时有值）(东非时间), 格式: yyyy-MM-dd HH:mm:ss'
                      errorMsg:
                        type: string
                        description: 支付失败原因（当status=3时有值）
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
                additionalProperties: false
      deprecated: false
      security: []

````